<script setup lang="ts">
import { ICharacter } from './index.vue';


const route = useRoute()

const { data } = useAsyncData<ICharacter>('characters', () => $fetch(`https://rickandmortyapi.com/api/character/${route.params.id}`))

</script>

<template>
    <div>
        <p>Name: {{ data?.name }}</p>
        <img :src="data?.image">
        <p>Status: {{ data?.status }}</p>
        <p>Species: {{ data?.species }}</p>

        <div class="flex gap-4 mt-4">
        <NuxtLink :to="{ name: 'characters' }" class="bg-blue-300 px-2 py-1 rounded-lg hover:bg-opacity-75">
            Back
        </NuxtLink>

        <NuxtLink :to="{ name: 'characters-id', params: { id: Number(route.params.id) - 1 } }" class="bg-blue-300 px-2 py-1 rounded-lg hover:bg-opacity-75">
           Previous Character
        </NuxtLink>

        <NuxtLink :to="{ name: 'characters-id', params: { id: Number(route.params.id) + 1 } }" class="bg-blue-300 px-2 py-1 rounded-lg hover:bg-opacity-75">
           Next Character
        </NuxtLink>
        </div>


    </div>
</template>